#ifndef GEANIMATOR_H
#define GEANIMATOR_H
#include <NxPhysics.h>

#define ANIMATOR_ROT_X			0x1
#define ANIMATOR_ROT_Y			0x2
#define ANIMATOR_ROT_Z			0x4
#define ANIMATOR_ROT_XY			0x3
#define ANIMATOR_ROT_XZ			0x5
#define ANIMATOR_ROT_YZ			0x6

#define ANIMATOR_ANGLE_STEP		10.0f // in degree

class GeAnimator {
private:
	NxMat34* mat;
	NxMat33 animationStep;

public:
	int type;

    GeAnimator(NxMat34* matrix, int type=ANIMATOR_ROT_X);
    virtual ~GeAnimator();

	void update(void);
};

#endif